import request from '@/utils/request'

// 查询市场主体数据导入列表
export function listDMarketsubDataInfo(query) {
  return request({
    url: '/dimp/dMarketsubDataInfo/list',
    method: 'get',
    params: query
  })
}

// 查询市场主体数据导入详细
export function getDMarketsubDataInfo(id) {
  return request({
    url: '/dimp/dMarketsubDataInfo/' + id,
    method: 'get'
  })
}

// 新增市场主体数据导入
export function addDMarketsubDataInfo(data) {
  return request({
    url: '/dimp/dMarketsubDataInfo',
    method: 'post',
    data: data
  })
}

// 修改市场主体数据导入
export function updateDMarketsubDataInfo(data) {
  return request({
    url: '/dimp/dMarketsubDataInfo',
    method: 'put',
    data: data
  })
}

// 删除市场主体数据导入
export function delDMarketsubDataInfo(id) {
  return request({
    url: '/dimp/dMarketsubDataInfo/' + id,
    method: 'delete'
  })
}
